name: unicblue/card-grid
typeName: unicblue_cardgrid
group: hks
prefixFields: true
prefixType: full
fields:
  -
    identifier: headers
    type: Palette
    fields:
      -
        identifier: header
        useExistingField: true
      -
        identifier: header_layout
        useExistingField: true
      -
        identifier: header_position
        useExistingField: true
  -
    identifier: subheader
    useExistingField: true
  -
    identifier: bodytext
    useExistingField: true
    enableRichtext: true
  -
    identifier: rows
    type: Collection
    labelField: row_label
    minitems: 1
    maxitems: 10
    fields:
      -
        identifier: row_label
        type: Text
        placeholder: "e.g. Row 1, Main Features, etc."
      -
        identifier: layout
        type: Select
        translatable: false
        renderType: selectSingle
        default: '3'
        items:
          - label: LLL:EXT:hks/ContentBlocks/ContentElements/card-grid/language/labels.xlf:rows.layout.items.1
            value: '1'
          - label: LLL:EXT:hks/ContentBlocks/ContentElements/card-grid/language/labels.xlf:rows.layout.items.2
            value: '2'
          - label: LLL:EXT:hks/ContentBlocks/ContentElements/card-grid/language/labels.xlf:rows.layout.items.3
            value: '3'
          - label: LLL:EXT:hks/ContentBlocks/ContentElements/card-grid/language/labels.xlf:rows.layout.items.4
            value: '4'
          - label: LLL:EXT:hks/ContentBlocks/ContentElements/card-grid/language/labels.xlf:rows.layout.items.2-1
            value: '2-1'
          - label: LLL:EXT:hks/ContentBlocks/ContentElements/card-grid/language/labels.xlf:rows.layout.items.1-2
            value: '1-2'
          - label: LLL:EXT:hks/ContentBlocks/ContentElements/card-grid/language/labels.xlf:rows.layout.items.3-2
            value: '3-2'
          - label: LLL:EXT:hks/ContentBlocks/ContentElements/card-grid/language/labels.xlf:rows.layout.items.2-3
            value: '2-3'
      -
        identifier: cards
        type: Collection
        labelField: title
        minitems: 1
        maxitems: 6
        fields:
          -
            identifier: card_type
            type: Select
            renderType: selectSingle
            required: true
            default: image_large
            items:
              - label: LLL:EXT:hks/ContentBlocks/ContentElements/card-grid/language/labels.xlf:rows.cards.card_type.items.image_large
                value: image_large
              - label: LLL:EXT:hks/ContentBlocks/ContentElements/card-grid/language/labels.xlf:rows.cards.card_type.items.image_small
                value: image_small
              - label: LLL:EXT:hks/ContentBlocks/ContentElements/card-grid/language/labels.xlf:rows.cards.card_type.items.icon
                value: icon
          -
            identifier: title
            type: Text
            required: true
          -
            identifier: text
            type: Textarea
          -
            identifier: image
            type: File
            allowed: common-image-types
            minitems: 0
            maxitems: 1
          -
            identifier: icon
            type: Text
            placeholder: e.g. podcasts, menu_book, school
          -
            identifier: background_color
            type: Select
            translatable: false
            renderType: selectSingle
            default: blue
            items:
              - label: LLL:EXT:hks/ContentBlocks/ContentElements/card-grid/language/labels.xlf:rows.cards.background_color.items.green
                value: green
              - label: LLL:EXT:hks/ContentBlocks/ContentElements/card-grid/language/labels.xlf:rows.cards.background_color.items.wine
                value: wine
              - label: LLL:EXT:hks/ContentBlocks/ContentElements/card-grid/language/labels.xlf:rows.cards.background_color.items.blue
                value: blue
          -
            identifier: link
            type: Link
  -
    identifier: tab_layout
    type: Tab
    label: 'Layout'
  -
    identifier: tx_hks_container
    type: Select
    useExistingField: true
  -
    identifier: tx_hks_top_accent
    type: Select
    useExistingField: true
  -
    identifier: spacing_palette
    type: Palette
    fields:
      -
        identifier: tx_hks_spacing_top
        type: Select
        useExistingField: true
      -
        identifier: tx_hks_spacing_bottom
        type: Select
        useExistingField: true
